export default class TextEditor extends Component<any, any, any> {
    static propTypes: {
        mode: PropTypes.Requireable<string>;
        theme: PropTypes.Requireable<string>;
        value: PropTypes.Requireable<string>;
        defaultValue: PropTypes.Requireable<string>;
        readOnly: PropTypes.Requireable<boolean>;
        highlightedTexts: PropTypes.Requireable<(string | null | undefined)[]>;
        onChange: PropTypes.Requireable<(...args: any[]) => any>;
        className: PropTypes.Requireable<string>;
    };
    static defaultProps: {
        mode: string;
        theme: null;
    };
    constructor(props: any);
    constructor(props: any, context: any);
    editorRef: import("react").RefObject<any>;
    highlightedTextMarkerIds: any[];
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    _update(): void;
    _updateValue(): void;
    value: any;
    _updateSize(): void;
    _addTextHighlight: (textToHighlight: any) => void;
    _removeTextHighlight(): void;
    onChange: (e: any) => void;
    componentDidMount(): void;
    _editor: any;
    componentDidUpdate(): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
import { Component } from "react";
import PropTypes from "prop-types";
